Upgrade from 11.20 to 11.24

During the upgrade process to 11.24 the install fails to continue after the Sitescope installation validation check fails in the product requirements section. The failure error is "The sitescope inatallation is either invalid or corrupt". The 11.20 install completed without any errors. I am thinking that something failed to install completely and did not log a failure. The environment is also a closed network so log exporting is not available. I have attempted to obtain a list of what the SIS_Validate.bat file is attempting to locate in order to verify the product requirements from support with no luck. I have a support ticket open for this as well HP case #4651692470. Any help or guidance would be greatly appreciated

Tags:

  • Hello,

     

    Did you check that you applied the correct version, that issue seems to be related a compatilibity issue.

    But, let see what the support team finds.

    Regards

     

  • Yes the version was correct as it was verified with support and I have been working with them for over a month and a half so I decided to turn to the forum for additional help

  • Did you install any cummulative fixes to 11.20 or is just plain 11.20? If so, try uninstalling it from SiteScope/Uninstall. Check also the file installation/dat/product.xml exist and is valid:

     

    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <product>
        <name>HPSiteScope</name>
        <current_version>11.24</current_version>
        <previous_version>11.20</previous_version>
        <server_type>Standalone</server_type>
        <install_dir>C:\SiteScope1124\SiteScope</install_dir>
        <build_number>3571</build_number>
        <MMRs>
            <MMR>
                <name>HPSiS1124</name>
                <displayName>HPSiteScope 11.24</displayName>
                <version>11.24</version>
                <packaging>exe</packaging>
                <guid>NULL</guid>
            </MMR>
        </MMRs>
    </product>

     

    As last resort you can export/unistall/install 11.20 11.24 patch/import

  • Did you install any cummulative fixes to 11.20 or is just plain 11.20? If so, try uninstalling it from SiteScope/Uninstall. Check also the file installation/dat/product.xml exist and is valid:

     

    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <product>
        <name>HPSiteScope</name>
        <current_version>11.24</current_version>
        <previous_version>11.20</previous_version>
        <server_type>Standalone</server_type>
        <install_dir>C:\SiteScope1124\SiteScope</install_dir>
        <build_number>3571</build_number>
        <MMRs>
            <MMR>
                <name>HPSiS1124</name>
                <displayName>HPSiteScope 11.24</displayName>
                <version>11.24</version>
                <packaging>exe</packaging>
                <guid>NULL</guid>
            </MMR>
        </MMRs>
    </product>

     

    As last resort you can export/unistall/install 11.20 11.24 patch/import

  • Did you install any cummulative fixes to 11.20 or is just plain 11.20? If so, try uninstalling it from SiteScope/Uninstall. Check also the file installation/dat/product.xml exist and is valid:

     

    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <product>
        <name>HPSiteScope</name>
        <current_version>11.24</current_version>
        <previous_version>11.20</previous_version>
        <server_type>Standalone</server_type>
        <install_dir>C:\SiteScope1124\SiteScope</install_dir>
        <build_number>3571</build_number>
        <MMRs>
            <MMR>
                <name>HPSiS1124</name>
                <displayName>HPSiteScope 11.24</displayName>
                <version>11.24</version>
                <packaging>exe</packaging>
                <guid>NULL</guid>
            </MMR>
        </MMRs>
    </product>

     

    As last resort you can export/unistall/install 11.20 11.24 patch/import

  • This file does exist and everything matches down to the build number with the exception of the specific install directory and the previous version which is 11.20. There were no patches applied to this instance either. I have uninstalled SIS 11.20 completely and done a reinstall which completed without any errors. The only error encountered is when the upgrade to 11.24 is attempted. Is there a list of prereqs that can be provided that would halt the upgrade process when the program initiated by the install is validate_sis.bat is run. I have been trying to get someone from support to escalate to find what is actually listed in that bat file

  • Don't panic, that's easy to find out. When you run the installer it extracts all needed files to a location in %TMP% or onle level up from there, when you close the installer windows these are wiped so just remain the installer in the language or welcome screen. I have attached the .bat script you want with .txt extension; seems like this can be caused by missing registry entries, SiS_HOME env variable or missing files:  dat\Version.txt, dat\_install.properties

  • Don't panic, that's easy to find out. When you run the installer it extracts all needed files to a location in %TMP% or onle level up from there, when you close the installer windows these are wiped so just remain the installer in the language or welcome screen. I have attached the .bat script you want with .txt extension; seems like this can be caused by missing registry entries, SiS_HOME env variable or missing files:  dat\Version.txt, dat\_install.properties

  • Don't panic, that's easy to find out. When you run the installer it extracts all needed files to a location in %TMP% or onle level up from there, when you close the installer windows these are wiped so just remain the installer in the language or welcome screen. I have attached the .bat script you want with .txt extension; seems like this can be caused by missing registry entries, SiS_HOME env variable or missing files:  dat\Version.txt, dat\_install.properties

  • Ok I initiated another upgrade instance and found some pretty interesting things.

     

    1. the file is looking to verify if the version is EQ to 11.20.0, but the version.txt file has it listed as 11.20 does that minor version field matter

     

    2. I also found that the verbage "The Sitescope installation is either missing or corrupted" is the error message for the preinstall_warning.bat, but on the install gui window it's displayed under the validate_sis_installation.bat portion where as the preinstall_warning line display the warning message about custom ports.

     

    I did not see anything other than the minor version number being omitted from the version.txt file, but I wanted to verify since that number is stored by the original install program and was not altered during the install process.